From 4159a44bdc785b27013bc6be1d32b2e442c73b74 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Thu, 14 Jul 2022 12:04:27 +0200
Subject: [PATCH] Add INSTALL_PRIVATE_HEADERS switch to unbreak LibreOffice

Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
---
 CMakeLists.txt      | 1 +
 core/CMakeLists.txt | 6 ++++++
 2 files changed, 7 insertions(+)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index e947ce8d..2e41e773 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -9,6 +9,7 @@ option (BUILD_BLACKBOX_TESTS "Build the black box reader/writer tests" OFF)
 option (BUILD_UNIT_TESTS "Build the unit tests (don't enable for production builds)" OFF)
 option (BUILD_PYTHON_MODULE "Build the python module" OFF)
 set(BUILD_DEPENDENCIES "AUTO" CACHE STRING "Fetch from github or use locally installed (AUTO/GITHUB/LOCAL)")
+option (INSTALL_PRIVATE_HEADERS "Install (some) private headers to unbreak (some) revdeps broken by 1.4.0 cleanup" OFF)
 
 if (WIN32)
     option (BUILD_SHARED_LIBS "Build and link as shared library" OFF)
diff --git a/core/CMakeLists.txt b/core/CMakeLists.txt
index 7382bcae..575e696b 100644
--- a/core/CMakeLists.txt
+++ b/core/CMakeLists.txt
@@ -174,6 +174,12 @@ if (BUILD_WRITERS)
     )
 endif()
 # end of public header set
+if (INSTALL_PRIVATE_HEADERS)
+    set (PUBLIC_HEADERS ${PUBLIC_HEADERS}
+        src/BitArray.h
+    )
+endif()
+# end of 'private' public header set
 
 set (AZTEC_FILES
 )
-- 
2.35.1

